.ellipsis {
  text-overflow: ellipsis;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}
.ellipsis.line-1 {
  -webkit-line-clamp: 1;
}
.ellipsis.line-2 {
  -webkit-line-clamp: 2;
}
.ellipsis.line-3 {
  -webkit-line-clamp: 3;
}
.ellipsis.line-4 {
  -webkit-line-clamp: 4;
}
.ellipsis.line-5 {
  -webkit-line-clamp: 5;
}

.star-ratings {
  unicode-bidi: bidi-override;
  color: #ccc;
  font-size: 1.25rem;
  position: relative;
  margin: 0;
  padding: 0;
}
.star-ratings .fill-ratings {
  color: #FFC100;
  padding: 0;
  position: absolute;
  z-index: 1;
  display: block;
  top: 0;
  left: 0;
  overflow: hidden;
}
.star-ratings .fill-ratings span {
  display: inline-block;
}
.star-ratings .empty-ratings {
  padding: 0;
  display: block;
  z-index: 0;
}

.score span {
  top: 0px !important;
  font-size: 1.25rem !important;
}

.box_grid ul li .score {
  margin-top: -25px !important;
}

.reviews-container .progress {
  margin-top: 5px;
}

.hero_in.cover {
  background-size: cover !important;
}

ul#top_menu li a.wishlist_bt_top {
  text-indent: unset;
}

ul#top_menu li a strong,
ul#top_menu li a.cart-menu-btn strong {
  font-size: 0.65em !important;
  width: 20px !important;
  height: 20px !important;
  display: block !important;
  background-color: #333 !important;
  color: #fff !important;
  position: relative !important;
  bottom: 4px !important;
  right: -14px !important;
  text-align: center !important;
  line-height: 2.5em !important;
  border-radius: 50% !important;
  margin: 0 !important;
  padding: 0 !important;
}

.card.comment {
  border: 1px solid rgba(0, 0, 0, 0.125) !important;
  margin: 15px 0px;
}
.card.comment p {
  font-size: 0.8rem;
}
.card.comment .card-header {
  background: none;
}

.right {
  float: right;
}

.custom-list {
  border-radius: 0.5rem;
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
  overflow: hidden;
}
.custom-list .list-group-item a {
  color: rgba(var(--bs-dark-rgb));
}
.custom-list .list-group-item.active {
  background-color: #0054a6;
}
.custom-list .list-group-item.active a {
  color: white;
}

.profile-avatar {
  border-radius: 100%;
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 90% 0 0;
  position: relative;
  border: 5px solid #f8f8f8;
}

.skeleton h1,
.skeleton h2,
.skeleton h3,
.skeleton h4,
.skeleton h5,
.skeleton h6,
.skeleton p,
.skeleton li,
.skeleton .btn,
.skeleton label,
.skeleton span,
.skeleton small,
.skeleton article,
.skeleton figure,
.skeleton button,
.skeleton .profile-avatar,
.skeleton .form-control {
  border-radius: 12px;
  color: transparent !important;
  -moz-appearance: none !important;
       appearance: none !important;
  -webkit-appearance: none;
  background-color: rgb(230, 230, 230) !important;
  background-image: none !important;
  border-color: rgb(230, 230, 230) !important;
}

.skeleton h1::-moz-placeholder, .skeleton h2::-moz-placeholder, .skeleton h3::-moz-placeholder, .skeleton h4::-moz-placeholder, .skeleton h5::-moz-placeholder, .skeleton h6::-moz-placeholder, .skeleton p::-moz-placeholder, .skeleton li::-moz-placeholder, .skeleton .btn::-moz-placeholder, .skeleton label::-moz-placeholder, .skeleton .form-control::-moz-placeholder {
  color: transparent;
}

.skeleton h1::placeholder,
.skeleton h2::placeholder,
.skeleton h3::placeholder,
.skeleton h4::placeholder,
.skeleton h5::placeholder,
.skeleton h6::placeholder,
.skeleton p::placeholder,
.skeleton li::placeholder,
.skeleton .btn::placeholder,
.skeleton label::placeholder,
.skeleton .form-control::placeholder {
  color: transparent;
}

@keyframes skeleton {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}
.skeleton {
  pointer-events: none;
  animation: skeleton 1s infinite alternate;
}

.skeleton img {
  filter: grayscale(100) contrast(0%) brightness(1.8);
}

.card {
  border-radius: 0.5rem;
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
  overflow: hidden;
}
.card.profile .card-body {
  padding: 2rem;
}

.form-control:focus,
.form-control:active {
  box-shadow: none;
}

.transition .card-body {
  transition: 0.5s all;
}

#toast-container > div {
  opacity: 1;
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.062745098);
}

#toast-container > div:hover {
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.2588235294);
}

.toast {
  font-family: "Poppins", sans-serif;
}

.modal-body {
  max-height: 60vh;
  overflow-y: scroll;
}

.sticky_col {
  position: sticky;
  top: 125px;
}

.content-wrapper {
  display: flex;
  flex-wrap: wrap;
}
.content-wrapper.reverse {
  flex-direction: column;
}
@media (min-width: 768px) {
  .content-wrapper.reverse {
    flex-direction: row-reverse;
  }
}
.content-wrapper .content {
  width: 100%;
}
@media (min-width: 768px) {
  .content-wrapper .content {
    width: 50%;
  }
}
.content-wrapper .text {
  align-self: center;
  padding: 20% 15%;
}
@media (min-width: 768px) {
  .content-wrapper .text {
    text-align: center;
  }
}
.content-wrapper .text h3 {
  margin-bottom: 0.5rem;
}
.content-wrapper .text q {
  border-left: none;
  font-style: italic;
  color: #8083ff;
  padding: 0;
  margin: 0;
  background: none;
  max-width: 80%;
  margin-bottom: 1rem;
}
.content-wrapper .text p {
  margin-bottom: 0;
}
@media (min-width: 768px) {
  .content-wrapper .text {
    padding: 0 5%;
  }
}

.kingster-logo-inner img,
.kingster-mobile-header .kingster-logo-inner img,
.kingster-fixed-navigation.kingster-style-slide .kingster-logo-inner img {
  max-height: 60px !important;
}

.owl-2-style .owl-nav {
  display: none;
}
.owl-2-style .owl-dots {
  text-align: center;
  position: relative;
  bottom: -30px;
}
.owl-2-style .owl-dots .owl-dot {
  display: inline-block;
}
.owl-2-style .owl-dots .owl-dot span {
  display: inline-block;
  width: 15px;
  height: 3px;
  border-radius: 0px;
  background: #cccccc;
  transition: 0.3s all cubic-bezier(0.32, 0.71, 0.53, 0.53);
  margin: 3px;
}
.owl-2-style .owl-dots .owl-dot:active {
  outline: none;
}
.owl-2-style .owl-dots .owl-dot:focus {
  outline: none;
}
.owl-2-style .owl-dots .owl-dot.active span {
  background: #007bff;
}
